| LCD Library 1.3.0 LCD Library - LCD control class hierarchy library. Drop in replacement for the LiquidCrystal Library.

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
LiquidCrystal_I2C_ByVac Class Reference

`#include <LiquidCrystal_I2C_ByVac.h>`

Inheritance diagram for LiquidCrystal_I2C_ByVac:

List of all members.

## Public Member Functions
virtual void | begin (uint8_t cols, uint8_t rows, uint8_t charsize=LCD_5x8DOTS)
| LiquidCrystal_I2C_ByVac (uint8_t lcd_Addr)
virtual void | send (uint8_t value, uint8_t mode)
void | setBacklight (uint8_t value)
void | setContrast (uint8_t value)

## Detailed Description

Definition at line 37 of file LiquidCrystal_I2C_ByVac.h.

## Constructor & Destructor Documentation

LiquidCrystal_I2C_ByVac::LiquidCrystal_I2C_ByVac | ( | uint8_t | lcd_Addr | ) |

Class constructor. Initializes class variables and defines the I2C address of the LCD. The constructor does not initialize the LCD.

Parameters:

  lcd_Addr[in] | I2C address of the IO expansion module. For BV4218, the address can be configured using the address commands (to be implemented).

Definition at line 38 of file LiquidCrystal_I2C_ByVac.cpp.

## Member Function Documentation

void LiquidCrystal_I2C_ByVac::begin | ( | uint8_t | cols,
|  | uint8_t | rows,
|  | uint8_t | charsize = `LCD_5x8DOTS`
| ) |  | `[virtual]`

LCD initialization and associated HW. Initializes the LCD to a given size (col, row). This methods initializes the LCD, therefore, it MUST be called prior to using any other method from this class or parent class.

The begin method can be overloaded if necessary to initialize any HW that is implemented by a library and can't be done during construction, here we use the Wire class.

Parameters:

  cols[in] | the number of columns that the display has
  rows[in] | the number of rows that the display has
  charsize[in] | size of the characters of the LCD: LCD_5x8DOTS or LCD_5x10DOTS.

Reimplemented from LCD.

Definition at line 49 of file LiquidCrystal_I2C_ByVac.cpp.

void LiquidCrystal_I2C_ByVac::send | ( | uint8_t | value,
|  | uint8_t | mode
| ) |  | `[virtual]`

Send a particular value to the LCD. Sends a particular value to the LCD for writing to the LCD or as an LCD command.

Users should never call this method.

Parameters:

  value[in] | Value to send to the LCD.
  mode[in] | DATA - write to the LCD CGRAM, COMMAND - write a command to the LCD.

Reimplemented from LCD.

Definition at line 99 of file LiquidCrystal_I2C_ByVac.cpp.

void LiquidCrystal_I2C_ByVac::setBacklight | ( | uint8_t | value | ) | `[virtual]`

Switch-on/off the LCD backlight. Switch-on/off the LCD backlight.

Parameters:

  value,: | backlight mode (HIGH|LOW)

Reimplemented from LCD.

Definition at line 60 of file LiquidCrystal_I2C_ByVac.cpp.

void LiquidCrystal_I2C_ByVac::setContrast | ( | uint8_t | value | ) |

Switch-on/off the LCD contrast. Switch-on/off the LCD contrast.

Parameters:

  value,: | contrast mode (HIGH|LOW)

Definition at line 71 of file LiquidCrystal_I2C_ByVac.cpp.

The documentation for this class was generated from the following files:

- LiquidCrystal_I2C_ByVac.h
- LiquidCrystal_I2C_ByVac.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines